#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	ed
Version		:	1.18
Release		:	14.8.0.0%{?dist}
Summary		:	The GNU line editor
Group		:	Applications/Text

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv3+ and GFDL
URL		:	https://www.gnu.org/software/ed/

Source0		:	%{name}-%{version}.tar.lz

#-----------------------------------------------------------------------------
BuildRequires	:	lzip
#-----------------------------------------------------------------------------
%description
Ed is a line-oriented text editor, used to create, display, and modify
text files (both interactively and via shell scripts).  For most
purposes, ed has been replaced in normal usage by full-screen editors
(emacs and vi, for example).

Ed was the original UNIX editor, and may be used by some programs.  In
general, however, you probably don't need to install it and you probably
won't use it.

%prep
%setup -q

#---------------------------------------------------------
#building application
%build

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)

./configure						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\


%{__make} %{_smp_mflags}

%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

%{__make} DESTDIR=%{buildroot} install
rm -fr %{buildroot}%{_infodir}/dir

%files			
%defattr(-, root,root, 0755)
%doc ChangeLog NEWS README AUTHORS COPYING
%{_bindir}
%{_infodir}
%{_mandir}/man1

%post


%changelog
